Subject: Re: bug#34655: 26.1.92; Segfault in module with --module-assertions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Mar 2019 19:53:03 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: <[email-masked]>,  <[email-masked]>
> Date: Mon, 18 Mar 2019 16:58:35 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The patch to fix this is below; it simply marks these copied values by
> > hand, thus preventing them from being GCed.  It ran successfully with
> > even 50,000 iterations.
> 
> I can confirm that your patch fixes the issue.

Great, thanks for testing.

> I am very grateful not only for your looking into this, but also for
> taking the time to explain the whole process; it has been enlightening
> and would have taken me a lot of time to figure out alone.

You are welcome.

I will wait for a few days to give Philipp and others a chance to
comment, and push then if no one comes up with objections.